%global modname ply
%bcond_without python3
%global _description \
PLY is an implementation of lex and yacc parsing tools for Python.\
Here is a list of its essential features:\
* It is implemented entirely in Python.\
* It uses LR-parsing which is reasonably efficient and well suited for larger\
  grammars.\
* PLY provides most of the standard lex/yacc features including support\
  for empty productions, precedence rules, error recovery, and support\
  for ambiguous grammars.\
* PLY is straightforward to use and provides very extensive error checking.\
* PLY doesn't try to do anything more or less than provide the basic lex/yacc\
  functionality. In other words, it's not a large parsing framework or a\
  component of some larger system.

Name:           python-%{modname}
Summary:        Python Lex-Yacc
Version:        3.11
Release:        3
License:        BSD
URL:            http://www.dabeaz.com/ply/
Source0:        http://www.dabeaz.com/ply/%{modname}-%{version}.tar.gz
BuildArch:      noarch

%description %{_description}

%package -n python3-%{modname}
Summary:        Python Lex-Yacc
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{modname} %{_description}

%package_help

%prep
%autosetup -n %{modname}-%{version}
find example/ -type f -exec chmod -x {} ';'
find example/ -type f -name '*.py' -exec sed -i \
  -e '1{\@^#!/usr/bin/env python@d}' -e '1{\@^#!/usr/local/bin/python@d}' \
  {} ';'
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
pushd test
  ./cleanup.sh
  %{__python3} testlex.py
  %{__python3} testyacc.py
popd

%files -n python3-%{modname}
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*.egg-info/

%files help
%doc CHANGES

%changelog
* Wed Oct 26 2022 zhuofeng <zhuofeng2@hhuawei.com> - 3.11-3
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:fix bad date in changelog

* Fri Oct 30 2020 wuchaochao <wuchaochao4@huawei.com> - 3.11-2
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:remove python2

* Fri Jul 24 2020 tianwei <tianwei12@huawei.com> - 3.11-1
- update 3.11

* Sat Jun 20 2020 hanhui <hanhui15@huawei.com> - 3.10-1
- update 3.10

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.9-9
- Package init
